Bug Hunting Session
Bug 112499 - FILEOPEN: EMF+ Textboxes not displayed
Summary: FILEOPEN: EMF+ Textboxes not displayed
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: EMFPlus-Rework-Regressions
  Show dependency treegraph
 
Reported: 2017-09-19 19:59 UTC by Xisco Faulí
Modified: 2017-11-27 10:19 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison before and after (71.91 KB, image/png)
2017-09-19 19:59 UTC, Xisco Faulí
Details
Extracted EMF+ image (40.83 KB, image/wmf)
2017-11-17 15:51 UTC, Bartosz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-09-19 19:59:20 UTC
Created attachment 136378 [details]
Comparison before and after

Steps to reproduce:
1. Open attachment 43525 [details] from bug 34454
2. Check Figure 2.

Observed behaviour: Textboxes not displayed

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: dd5868409ae430f9c9ffea18ea7e287a65cfa2ab
CPU threads: 4; OS: Linux 4.10; UI render: GL; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-09-19 20:01:14 UTC
Regression introduced by:

author	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2017-08-21 20:44:30 (GMT)
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2017-08-22 10:28:57 (GMT)
commit	ebc11ae0b132eefd3b1b1a837a8d0ad3ba73b460 (patch)
tree	599ae51a0a42b111f245697e7ad86b7f85681798
parent	a3782f1152e4cf02f30003b5f96c7ba603a87db9 (diff)
emfplus: cut over to new EMF+ renderer
We're on par with the old functionality now (modulo a few smaller
issues); overall QoS is much better, we get vector output on pdf
and print, and the need for large offscreen bitmap rendering goes
away.

Bisected with: bibisect-linux64-6.0

Adding Cc: to Thorsten Behrens

[Bug found by office-interoperability-tools]
Comment 2 Bartosz 2017-11-17 15:51:11 UTC
Created attachment 137831 [details]
Extracted EMF+ image
Comment 3 Bartosz 2017-11-21 11:53:53 UTC
Fixed with:
https://gerrit.libreoffice.org/#/c/44923/

Please verify.
Comment 4 Xisco Faulí 2017-11-27 10:19:21 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: 2618e4a13d719122e6358d9d96864d1691e56a02
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: th-TH (ca_ES.UTF-8); Calc: group threaded